Class | Rack::Auth::Digest::Nonce
In: | lib/action_controller/vendor/rack-1.0/rack/auth/digest/nonce.rb
Parent: | Object

Rack::Auth::Digest::Nonce is the default nonce generator for the Rack::Auth::Digest::MD5 authentication handler.

`private_key` needs to set to a constant string.

`time_limit` can be optionally set to an integer (number of seconds), to limit the validity of the generated nonces.

### Methods

digest fresh? new parse stale? to_s valid?

### Attributes

private_key | [RW] |
time_limit | [RW] |

### Public Class methods

new(timestamp = Time.now, given_digest = nil)
parse(string)

### Public Instance methods

digest()
fresh?()
stale?()
to_s()
valid?()

[Validate]